PostgreSQL 7.2.1 Documentation
Prev |  | Next

# set_deftty

## Name

set_deftty -- set default debug terminal specification [DV]

## Synopsis

    set_deftty(terminal)

### Parameters

`terminal`

  New default debug terminal (string/None).

### Return Type

string or None

  Previous default debug terminal specification.

### Exceptions

TypeError

  Bad argument type, or too many arguments.

## Description

`set_deftty()` sets the default terminal value for new connections. If None is supplied as parameter, environment variables will be used in future connections. It returns the previous setting for default terminal.

Prev | Home | Next
get_deftty | Up | get_defbase